summaryrefslogtreecommitdiffstats
path: root/source/d
diff options
context:
space:
mode:
Diffstat (limited to 'source/d')
-rw-r--r--source/d/cmake/cmake.url2
-rwxr-xr-xsource/d/llvm/llvm.SlackBuild12
-rw-r--r--source/d/llvm/llvm.url30
-rwxr-xr-xsource/d/python2/python2.SlackBuild65
-rwxr-xr-xsource/d/python3/python3.SlackBuild11
-rw-r--r--source/d/strace/strace.url2
6 files changed, 75 insertions, 47 deletions
diff --git a/source/d/cmake/cmake.url b/source/d/cmake/cmake.url
index 8ddccb9a4..bd2252069 100644
--- a/source/d/cmake/cmake.url
+++ b/source/d/cmake/cmake.url
@@ -1,2 +1,2 @@
https://github.com/Kitware/CMake/releases
-https://github.com/Kitware/CMake/releases/download/v3.28.3/cmake-3.28.3.tar.gz
+https://github.com/Kitware/CMake/releases/download/v3.28.4/cmake-3.28.4.tar.gz
diff --git a/source/d/llvm/llvm.SlackBuild b/source/d/llvm/llvm.SlackBuild
index 7e87a7a3a..aab67ce71 100755
--- a/source/d/llvm/llvm.SlackBuild
+++ b/source/d/llvm/llvm.SlackBuild
@@ -94,8 +94,6 @@ if [ "$BUILD_CLANGD" = "NO" ]; then
CLANGD="-DCLANG_ENABLE_CLANGD=OFF"
fi
-# Python2 short version:
-PY2=$(python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' | cut -f 2 -d n | cut -f 1 -d /)
# Python3 short version:
PY3=$(python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' | cut -f 2 -d n | cut -f 1 -d /)
@@ -267,21 +265,17 @@ fi
rm -f $PKG/usr/lib$LIBDIRSUFFIX/libgomp.so
# Install Python bindings:
-for pyver in ${PY2} ${PY3}; do
+for pyver in ${PY3}; do
mkdir -p "$PKG/usr/lib$LIBDIRSUFFIX/python$pyver/site-packages"
cp -a tools/clang/bindings/python/clang "$PKG/usr/lib$LIBDIRSUFFIX/python$pyver/site-packages/"
done
# Remove bundled python-six:
-rm -f "$PKG/usr/lib$LIBDIRSUFFIX/python${PY2}/site-packages/six.py"
+rm -f "$PKG/usr/lib$LIBDIRSUFFIX/python2*/site-packages/six.py"
# Compile Python scripts:
-python -m compileall "$PKG/usr/lib$LIBDIRSUFFIX/python${PY2}/site-packages/clang"
-python -O -m compileall "$PKG/usr/lib$LIBDIRSUFFIX/python${PY2}/site-packages/clang"
python3 -m compileall "$PKG/usr/lib$LIBDIRSUFFIX/python${PY3}/site-packages/clang"
python3 -O -m compileall "$PKG/usr/lib$LIBDIRSUFFIX/python${PY3}/site-packages/clang"
-python -m compileall "$PKG/usr/lib$LIBDIRSUFFIX/python${PY2}/site-packages/lldb"
-python -O -m compileall "$PKG/usr/lib$LIBDIRSUFFIX/python${PY2}/site-packages/lldb"
python3 -m compileall "$PKG/usr/share/scan-view"
python3 -O -m compileall "$PKG/usr/share/scan-view"
python3 -m compileall "$PKG/usr/share/clang"
@@ -290,7 +284,7 @@ python3 -m compileall "$PKG/usr/share/opt-viewer"
python3 -O -m compileall "$PKG/usr/share/opt-viewer"
# Nevermind, we're not shipping this python2 crap:
-rm -rf $PKG/usr/lib$LIBDIRSUFFIX/python${PY2}
+rm -rf $PKG/usr/lib$LIBDIRSUFFIX/python2*
# Move man page directory:
mv $PKG/usr/share/man $PKG/usr/
diff --git a/source/d/llvm/llvm.url b/source/d/llvm/llvm.url
index 5b0ca1eb0..493f26074 100644
--- a/source/d/llvm/llvm.url
+++ b/source/d/llvm/llvm.url
@@ -1,15 +1,15 @@
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/llvm-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/clang-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/clang-tools-extra-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/compiler-rt-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/flang-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/lldb-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/openmp-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/polly-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/libcxx-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/libcxxabi-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/lld-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/libunwind-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/cmake-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/third-party-18.1.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.1/runtimes-18.1.1.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/llvm-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/clang-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/clang-tools-extra-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/compiler-rt-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/flang-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/lldb-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/openmp-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/polly-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/libcxx-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/libcxxabi-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/lld-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/libunwind-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/cmake-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/third-party-18.1.2.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.2/runtimes-18.1.2.src.tar.xz
diff --git a/source/d/python2/python2.SlackBuild b/source/d/python2/python2.SlackBuild
index 26effbb01..c360fd8a8 100755
--- a/source/d/python2/python2.SlackBuild
+++ b/source/d/python2/python2.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2012, 2013, 2016, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2013, 2016, 2018, 2020, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@ PKGNAM=python2
SRCNAM=Python
VERSION=$(echo $SRCNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
BRANCH_VERSION=$(echo $VERSION | cut -f 1,2 -d . )
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-7}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -114,6 +114,53 @@ sed -i "/SQLITE_OMIT_LOAD_EXTENSION/d" setup.py
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# This conflicts with python3. We'll assume the python3 version is more
+# up-to-date and just get rid of it:
+rm -f $PKG/usr/bin/2to3
+
+# We don't want these now:
+rm -f $PKG/usr/bin/python
+rm -f $PKG/usr/bin/python-config
+
+# Bundle the very last pip for python2:
+tar xf $CWD/pip-20.3.tar.lz || exit 1
+cd pip-20.3
+fix_perms
+python2 setup.py install --root=$PKG || exit 1
+# Don't package this. We want /usr/bin/pip in the main python-pip package to be
+# the python3 version:
+rm -f $PKG/usr/bin/pip
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/pip-20.3
+cp -a *.txt PKG-INFO README.rst \
+ $PKG/usr/doc/$PKGNAM-$VERSION/pip-20.3
+find $PKG/usr/doc/$PKGNAM-$VERSION/pip-20.3 -type f -exec chmod 0644 {} \+
+cd ..
+
+# Bundle the very last setuptools for python2:
+tar xf $CWD/setuptools-44.1.1.tar.lz || exit 1
+cd setuptools-44.1.1
+fix_perms
+# Install setuptools to the system if it's not there:
+if [ ! -d /usr/lib${LIBDIRSUFFIX}/python2.7/site-packages/setuptools/version.py ]; then
+ python2 setup.py install --root=/ || exit 1
+fi
+python2 setup.py install --root=$PKG || exit 1
+# It's tempting to get rid of this entirely, but we'll leave the -2.7 versioned
+# binary:
+rm -f $PKG/usr/bin/easy_install
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/setuptools-44.1.1
+cp -a CHANGES.rst PKG-INFO README.rst docs/*.txt \
+ $PKG/usr/doc/$PKGNAM-$VERSION/setuptools-44.1.1
+find $PKG/usr/doc/$PKGNAM-$VERSION/setuptools-44.1.1 -type f -exec chmod 0644 {} \+
+# If there's a CHANGES.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r CHANGES.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION/setuptools-44.1.1)
+ cat CHANGES.rst | head -n 1000 > $DOCSDIR/CHANGES.rst
+ touch -r CHANGES.rst $DOCSDIR/CHANGES.rst
+fi
+cd ..
+
# Install some python-demo files:
mkdir -p $PKG/usr/doc/python2-$VERSION
cp -a Demo $PKG/usr/doc/python2-$VERSION
@@ -128,14 +175,6 @@ mv $SITEPK/README $PKG/usr/doc/python2-$VERSION/README.python-tools
ln -sf $TOOLSDIR Tools
)
-# Make a few useful symlinks:
-mkdir -p $PKG/usr/bin
-( cd $PKG/usr/bin
- ln -sf $TOOLSDIR/pynche/pynche pynche
- ln -sf $TOOLSDIR/i18n/msgfmt.py .
- ln -sf $TOOLSDIR/i18n/pygettext.py .
-)
-
# Install docs:
mkdir -p $PKG/usr/doc/python2-$VERSION/Documentation
cp -a README LICENSE $PKG/usr/doc/python2-$VERSION
@@ -151,12 +190,6 @@ chown -R root:root $PKG/usr/doc/python2-$VERSION
find . -perm 750 -exec chmod 755 "{}" \+
)
-
-( cd $PKG/usr/bin
- rm -f python
- ln -sf python${BRANCH_VERSION} python
-)
-
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/d/python3/python3.SlackBuild b/source/d/python3/python3.SlackBuild
index c437325c4..d7a577a3b 100755
--- a/source/d/python3/python3.SlackBuild
+++ b/source/d/python3/python3.SlackBuild
@@ -1,9 +1,7 @@
#!/bin/bash
-# Slackware build script for python3
-
# Copyright 2012-2017 Audrius Kažukauskas <audrius@neutrino.lt>
-# Copyright 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017, 2018, 2019, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -123,8 +121,11 @@ find -L . \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Remove to avoid overwriting a copy from Python2.
-rm -f $PKG/usr/bin/2to3
+# PEP says we can claim this link:
+( cd $PKG/usr/bin
+ rm -f python
+ ln -sf python${BRANCH_VERSION} python
+)
## NOPE, let's try using -I instead.
## Add a symlink to cpython include directory to fix various builds that
diff --git a/source/d/strace/strace.url b/source/d/strace/strace.url
index d41382895..7f8c04ea1 100644
--- a/source/d/strace/strace.url
+++ b/source/d/strace/strace.url
@@ -1,2 +1,2 @@
https://github.com/strace/strace
-https://github.com/strace/strace/releases/download/v6.7/strace-6.7.tar.xz
+https://github.com/strace/strace/releases/download/v6.8/strace-6.8.tar.xz